import { useTripData } from './useTripData';
import { useTripMap } from './useTripMap';
import { useTripTimeline } from './useTripTimeline';
import { useTripUI } from './useTripUI';

export const useTrip = () => {
  const tripData = useTripData();
  const tripUI = useTripUI();
  const tripTimeline = useTripTimeline();
  const tripMap = useTripMap();

  return {
    ...tripData,
    ...tripUI,
    ...tripTimeline,
    ...tripMap,
  };
};
